Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 491430

Summary: app-shells/zsh-completion-20130808 uses deprecated eselect options
Product: Gentoo Linux Reporter: Ulrich Müller <ulm>
Component: Current packagesAssignee: Tim Harder <radhermit>
Status: RESOLVED FIXED    
Severity: normal CC: 8573dd, aditsu, eselect, holger, mrueg, qa, shell-tools
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: Initial patch to silence warning spew

Description Ulrich Müller gentoo-dev 2013-11-16 18:24:56 UTC
Just to give a heads up, the next version of eselect will finally drop some long-deprecated commands and options:
- "list-modules" is deprecated since eselect-1.1, released in 2009.
  Use "eselect modules list" instead.
- The --no-color option has been replaced by --color=<yes|no|auto> to be
  compatible with both Portage and GNU tools. Also, when stdout is not
  a terminal, color is automatically disabled, so in this case the option
  can be dropped altogether (since eselect-1.0.12).

AFAICS, zsh-completion-20130808 still uses both of the above.
Comment 1 Ulrich Müller gentoo-dev 2013-12-08 09:05:48 UTC
Options were finally dropped in eselect-1.4.
Comment 2 Holger Hoffstätte 2013-12-23 11:27:24 UTC
Created attachment 365976 [details, diff]
Initial patch to silence warning spew

I got curious enough about this to take a look, and here's a first cut of silencing those messages. It works and is easy enough: it simply removes the offending arguments from the individual eselect modules.
Unfortunately I don't understand the main _eselect() logic/code at all, so someone with superior shell-fu needs to address the remaining bits.
Comment 3 Dimitrios Semitsoglou-Tsiapos 2014-04-06 11:07:38 UTC
Until a new unstable makes it to the portage tree, it is worth noting that this was resolved in **99999999 a week ago.
Comment 4 consus 2014-07-09 09:37:54 UTC
Three months passed, how the thing is going?
Comment 5 Ulrich Müller gentoo-dev 2014-07-12 05:39:43 UTC
*** Bug 516902 has been marked as a duplicate of this bug. ***
Comment 6 Consus 2014-11-12 13:19:21 UTC
Bump!
Comment 7 Ulrich Müller gentoo-dev 2014-11-12 13:23:07 UTC
Anything I can do to help? The patch attached in comment #2 looks good to me.
Comment 8 aditsu 2014-11-12 22:08:21 UTC
(In reply to Ulrich Müller from comment #7)
> Anything I can do to help? The patch attached in comment #2 looks good to me.

Commit it to portage? :)
Comment 9 Consus 2014-11-13 12:00:49 UTC
Well, I guess new zsh-completion should hit the tree. I wrote a message to Tim Harder (as he maintains zsh-completion), let's wait for his response.
Comment 10 Consus 2014-11-13 12:04:09 UTC
If he's still alive, of course. He should be getting notifications from bugs.gentoo.org. Can anyone from the Dev team reach out to him?
Comment 11 Sergey Popov gentoo-dev 2014-11-13 13:14:38 UTC
CCing QA

Guys, i can not commit this ATM and Tim seems to be inactive for some time. Please, review and commit.
Comment 12 Tim Harder gentoo-dev 2014-11-15 08:32:50 UTC
(In reply to Sergey Popov from comment #11)
> CCing QA
> 
> Guys, i can not commit this ATM and Tim seems to be inactive for some time.
> Please, review and commit.

Before having my funeral you guys could check the git repo and notice it's been fixed since January. ;)

I've been slacking a bit on the release since mva mentioned wanting to fix something else first.
Comment 13 Tim Harder gentoo-dev 2014-11-15 09:18:12 UTC
(In reply to Tim Harder from comment #12)
> I've been slacking a bit on the release since mva mentioned wanting to fix
> something else first.

Oh, and the pkgmove to gentoo-zsh-completions, prerequisite dep cleanup, etc. Anyway if you want this fixed now install the live ebuild as the next release might take a few days to a week or so.
Comment 14 Consus 2014-11-17 08:35:26 UTC
> I've been slacking a bit on the release since mva mentioned wanting to fix something else first.

You've been slacking on the release for a year?
Comment 15 Sergey Popov gentoo-dev 2014-11-21 08:31:26 UTC
+*zsh-completion-20130808-r1 (21 Nov 2014)
+
+  21 Nov 2014; Sergey Popov <pinkbyte@gentoo.org>
+  +zsh-completion-20130808-r1.ebuild, zsh-completion-99999999.ebuild,
+  +files/zsh-completion-20130808-eselect.patch:
+  QA commit: revision bump, fix bug #491430, add epatch_user

+  21 Nov 2014; Sergey Popov <pinkbyte@gentoo.org>
+  -zsh-completion-20130808.ebuild, zsh-completion-20130808-r1.ebuild:
+  QA commit: transfer stable keywords from old revision and drop that revision

As this bug affects current stable, i have fixed it using my QA hat